CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[foam-extend.org] 4.1/4.0 Allwmake says cannot find -lfoam

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   September 19, 2020, 04:30
Default 4.1/4.0 Allwmake says cannot find -lfoam
  #1
Senior Member
 
Sultan Islam
Join Date: Dec 2015
Location: Canada
Posts: 139
Rep Power: 10
EternalSeekerX is on a distinguished road
Dear all,

Hope everyone is doing well. While recompiling I did notice that there are a few errors that seem to be ignored but still makes me think If I am missing something? It says it cannot ld find -lfoam. I searched up and I already have the required library libz. Yet it still throws out the error? Is this something known and can be safely ignored or?

Thanks

Edit: Seems when i installed foam extend, these errors didn't show up. Idk if its a foam extend 4.1 issue, but for 4.0 the compilation worked!

Last edited by EternalSeekerX; September 20, 2020 at 01:02.
EternalSeekerX is offline   Reply With Quote

Old   September 22, 2020, 05:02
Default
  #2
Senior Member
 
Hrvoje Jasak
Join Date: Mar 2009
Location: London, England
Posts: 1,906
Rep Power: 33
hjasak will become famous soon enough
You are missing the foam library. Try:


foamsrc
wmake libso


and see what is says. If everything is fine, it will re-link the library; otherwise your environment is not set up properly.


Hrv
__________________
Hrvoje Jasak
Providing commercial FOAM/OpenFOAM and CFD Consulting: http://wikki.co.uk
hjasak is offline   Reply With Quote

Old   September 22, 2020, 05:16
Default I retried and it worked
  #3
Senior Member
 
Sultan Islam
Join Date: Dec 2015
Location: Canada
Posts: 139
Rep Power: 10
EternalSeekerX is on a distinguished road
Quote:
Originally Posted by hjasak View Post
You are missing the foam library. Try:


foamsrc
wmake libso


and see what is says. If everything is fine, it will re-link the library; otherwise your environment is not set up properly.


Hrv
Hey thanks for the response. I was able to compile both foam extend 4.0 and 4.1 without any errors. However one issue is at least with foam extend 4.1 when using mpirun, it finishes the parallel run but mpirun still complains about termination process. Foam extend 4.0 doesn't do that for me in manjaro. Might be easier to run it on Ubuntu or Fedora. Please note that I had no issues compiling either esi or openfoam.com versions of openfoam.
EternalSeekerX is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
How to make a code parallel? Bruno Machado Fluent UDF and Scheme Programming 15 May 27, 2016 09:18
[mesh manipulation] Importing Multiple Meshes thomasnwalshiii OpenFOAM Meshing & Mesh Conversion 18 December 19, 2015 18:57
CFX-Pre problem, pls help!!! cth_yao CFX 0 February 17, 2012 00:52
OpenFOAM 1.6-ext git installation on Ubuntu 11.10 x64 Attesz OpenFOAM Installation 45 January 13, 2012 12:38
Problem Building OF on Centos cluster (no admin rights) CKH OpenFOAM Installation 5 November 13, 2011 06:32


All times are GMT -4. The time now is 00:01.